KDE 4.5 PyKDE API Reference

- KDE's Python API

# StorageVolume Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.DeviceInterface → QObject
Subclasses: Solid.OpticalDisc
Namespace: Solid

## Detailed Description

This device interface is available on volume devices.

A volume is anything that can contain data (partition, optical disc, memory card). It's a particular kind of block device.

## Enumerations
UsageType | { Other, Unused, FileSystem, PartitionTable, Raid, Encrypted }
## Methods
| __init__ (self, QObject backendObject)
Solid.Device | encryptedContainer (self)
QString | fsType (self)
bool | isIgnored (self)
QString | label (self)
long | size (self)
Solid.StorageVolume.UsageType | usage (self)
QString | uuid (self)
## Static Methods
Solid.DeviceInterface.Type | deviceInterfaceType ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new StorageVolume object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

Solid.Device encryptedContainer | ( |  | self ) |

Retrieves the crypto container of this volume.

Returns:
  the encrypted volume containing the current volume if appliable, an invalid device otherwise

QString fsType | ( |  | self ) |

Retrieves the filesystem type of this volume.

FIXME: It's a platform dependent string, maybe we should switch to an enum?

Returns:
  the filesystem type if applicable, QString() otherwise

bool isIgnored | ( |  | self ) |

Indicates if this volume should be ignored by applications.

If it should be ignored, it generally means that it should be invisible to the user. It's useful for firmware partitions or OS reinstall partitions on some systems.

Returns:
  true if the volume should be ignored

QString label | ( |  | self ) |

Retrieves this volume label.

Returns:
  the volume label if available, QString() otherwise

long size | ( |  | self ) |

Retrieves this volume size in bytes.

Returns:
  the size of this volume

Solid.StorageVolume.UsageType usage | ( |  | self ) |

Retrieves the type of use for this volume (for example filesystem).

Returns:
  the usage type

See also:
  Solid.Ifaces.Enums.StorageVolume.UsageType

QString uuid | ( |  | self ) |

Retrieves this volume Universal Unique IDentifier (UUID).

You can generally assume that this identifier is unique with reasonable confidence. Except if the volume UUID has been forged to intentionally provoke a collision, the probability to have two volumes having the same UUID is low.

Returns:
  the Universal Unique IDentifier if available, QString() otherwise

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the StorageVolume device interface.

Returns:
  the StorageVolume device interface type

See also:
  Solid.Ifaces.Enums.DeviceInterface.Type

## Enumeration Documentation

UsageType

This enum type defines the how a volume is used.

- FileSystem : A mountable filesystem volume - PartitionTable : A volume containing a partition table - Raid : A volume member of a raid set (not mountable) - Other : A not mountable volume (like a swap partition) - Unused : An unused or free volume

Enumerator:

  Other = 0 |
  Unused = 1 |
  FileSystem = 2 |
  PartitionTable = 3 |
  Raid = 4 |
  Encrypted = 5 |